Message bus APIs internals
D-Bus secret internal implementation details

Internals of functions for communicating with the message bus. More...

## Data Structures

struct | BusData
| Block of message-bus-related data we attach to each DBusConnection used with these convenience functions. More...

## Macros

#define | N_BUS_TYPES 3
| Number of bus types.

## Functions

void | _dbus_bus_notify_shared_connection_disconnected_unlocked (DBusConnection *connection)
| Internal function that checks to see if this is a shared connection owned by the bus and if it is unref it. More...

## Detailed Description

Internals of functions for communicating with the message bus.

## Function Documentation

void _dbus_bus_notify_shared_connection_disconnected_unlocked | ( | DBusConnection * | connection) |  |

Internal function that checks to see if this is a shared connection owned by the bus and if it is unref it.

Parameters

  connection | a connection that has been disconnected.

Definition at line 401 of file dbus-bus.c.

References _DBUS_LOCK, _DBUS_UNLOCK, N_BUS_TYPES, and NULL.